
// Una storia di campagna
// racconto-gioco (C) Andrea Angiolino
// versione software di Enrico Colombini
// (C) 2000 Andrea Angiolino ed Enrico Colombini
// distribuzione libera per uso non commerciale

// Questo file utilizza o estende Idra: le parti di programmazione HTML 
// e JavaScript qui contenute sono soggette alla medesima licenza GNU GPL
// di Idra stesso, vedi i file idra.js e Licenza.html per i dettagli.


// ===== Informazioni =======================================================


var Versione = 'v 1.0 - Febbraio 2000'
var Copyright = "&copy; A.Angiolino, E.Colombini 2000"


// Mostra informazioni sul gioco

function Informazioni() {
  mostra(Info, 'bgcolor="#ccffff", link="#ff0000"')
}

function Info() {
  testo("<center>&nbsp;<p>")
  titolo("Racconto-gioco: ")
  testo('<i>Andrea Angiolino (<a href="mailto:angiolillo@nexusgames.com">angiolillo@nexusgames.com</a>)</i><p>')
  titolo("Conversione per Idra e programmazione JavaScript:")
  testo('<i>Enrico Colombini (<a href="mailto:erix@mclink.it">erix@mclink.it</a>)</i><p>')
  titolo("Collaudo: ")
  testo("<i>Monica Boogert, Gaetano Blue Bottazzi, Sara Cadeo, Riccardo Carugati, Roberto Cerruti, Giorgio Colombini, Paolo Corsini, Ruggero Valetti e, naturalmente, Chiara Tovena per la consueta critica costruttiva</i><p>")
  titolo("Copyright: ")
  testo('<i>"Una storia di campagna" &copy; 1996 Andrea Angiolino (in "Storie di gatti e vampiri", Associazione Culturale Novecentonovanta, Civitavecchia), versione software &copy; 2000 Andrea Angiolino ed Enrico Colombini, la distribuzione di questo programma &egrave; libera per usi non commerciali</i><p>')
  testo("&nbsp;<br>")
  rinvio("Continua", "ridisegna()")
  testo("</center>")
}


// ===== Funzioni chiamate dall'interprete ==================================


// Inizia una nuova lettura: azzera le variabili di gioco e va alla prima pagina

function Inizia() {
  v.inv = 0 //non mostrare inventario
  v.lupi = 0
  v.capr = 0
  v.vacc = 0
  v.resa = 0
  v.uova = 0
  v.vang = 0
  v.f1 = 0
  v.f3 = 0
  v.q1 = 0
  v.p1 = 0
  v.p2 = 0
  v.p3 = 0
  v.c1 = 0
  v.c2 = 0
  v.c3 = 0
  vai(Intro) //prima pagina
}


// Opzioni della pagina: usa un'immagine per tassellare

function OpzioniPagina(pag) {
  return 'background="sfondo.jpg"'
}


// All'inizio di ogni pagina: fa una riga di stacco

function Intestazione(pag) {
  testo("<br>")
}


// Alla fine di ogni pagina: stampa l'inventario, se attivo

function PiePagina(pag) {
  if (v.inv) {
    Inventario()
  }
}


// ===== Funzioni utili =====================================================

// Scrive l'inventario a fine pagina

function Inventario() {
  testo('<hr width="100%">');
  testo('<font size="-1">')
  testo("<br>Possiedi: ")
  if (v.lupi == 1) { 
    testo("1 lupo d'argento, ") 
  } else { 
    testo(v.lupi, " lupi d'argento, ") 
  }
  if (v.capr == 1) { 
    testo("1 caproca, ") } 
  else { 
    testo(v.capr, " caproche, ") 
  }
  if (v.vacc == 1) { 
    testo("1 vaccopotamo.") } 
  else { 
    testo(v.vacc, " vaccopotami.") 
  }
  testo("</font>")
}


// E' finita male

function Perso() {
  testo('<p>&nbsp;<p><h2><font color="#cc0000">La tua avventura termina qui.</font></h2><p>&nbsp;<p>')
  testo("Avevi raggiunto ", Punti(), " punti.<p>")
}


// E' andata bene

function Vinto() {
  testo('<p>&nbsp;<p><center><h2><font color="#006600">- - - Fine - - -</font></h2></center><p>&nbsp;<p>')
  testo("Hai terminato l'avventura con ", Punti(), " punti.<p>")
}


// Ritorna punteggio

function Punti() {
  var p = 9
  p += v.lupi
  p += (v.capr * 5)
  p += (v.vacc * 10)
  if (v.c1) { p += 90; }
  return p
}


// === Pagine del racconto ==================================================


function Intro() {
  testo('<font size="+3"><center><b>Una storia di campagna</center></b></center></font><p>')
  testo("<center>racconto-gioco di Andrea Angiolino<br>programma di Enrico Colombini<p>&nbsp;<br></center>")

  testo('<font size="-1">', "<i>&quot;&Egrave; l'aratro che traccia il solco, ma &egrave; il bifolco che lo difende.&quot;</i><br>(attribuita al Duca, durante la Guerra del Guano)</font><p>")

  testo("Siamo abituati a incontrare principi, cacciatori di draghi, cavalieri erranti, maghi e apprendisti stregoni: ma il popolo dov'&egrave;? In una societ&agrave; prevalentemente agricola come quella fantasy, in effetti, il contadino dovrebbe avere un ruolo fondamentale.<p>")
  testo("Abbiamo deciso di riparare a questo torto. E allora armatevi di scarpe grosse e di cervello fino e immedesimatevi in un contadino della Piana di Exen: a manovrare una spada sono bravi tutti, ma provate un po' a cavarvela con una zappa...")
  continua(P1)
  testo('<hr width="100%">')
  testo('<font size="-1"><center>', Versione, ", &nbsp;", Copyright, "</center></font>")
}

function P1() {
  titolo("Dotazione iniziale")
  testo("La vita scorre tranquilla nella tua fattoria ai margini del bosco, dove vivi con una moglie affettuosa e sei tra figlioletti e figliolette.<p>")
  testo("Puoi scegliere se partire con due caproche, testarde come capre e stupide come oche, ma gran produttrici di uova e assai succulente arrosto, oppure un vaccopotamo, stolido e massiccio bovino che puoi mungere ogni mattina e usare per arare i campi.")
  scelta("Scelgo le due caproche", "v.capr = 2; vai(P9)")
  scelta(1, "Scelgo il vaccopotamo", "v.vacc = 1; vai(P14)")
}

function P2() {
  titolo("Bisogna pur mangiare")
  testo("Ti aggiri tra gli stalli e i banconi. Ti colpisce una certa abbondanza, ma non puoi fare a meno di preoccuparti pensando a cosa potr&agrave; mangiare la tua famiglia quest'inverno...<p>")
  if (v.vacc + v.capr >= 1) {
    testo("Decidi che, avendo abbastanza animali, puoi cavartela con uova o formaggio.")
    continua(P61)
  } else if (v.lupi >= 3) {
    testo("Non avendo abbastanza animali per produrre cibo a sufficienza, spendi 3 lupi di patate e carne secca.")
    v.lupi -= 3
    continua(P61)
  } else {
    testo("Non avendo abbastanza animali per produrre cibo a sufficienza, dovresti spendere almeno 3 lupi di patate e carne secca.")
    scelta(1, "Purtroppo non li hai", P21)
  }
}

function P3() {
  titolo("Sei stato generoso")
  testo("Lo sconosciuto accetta l'offerta con un luminoso sorriso. &quot;Gli dei ti ricompenseranno, prima o poi&quot;, ti dice allontanandosi verso la pi&ugrave; vicina osteria.<p>La voce della tua generosit&agrave; sembra diffondersi in fretta: il giorno dopo tre straccioni bussano alla tua porta, chiedendoti di porre rimedio alle carenze della loro dieta.")
  v.f3 = 1
  scelta(v.lupi >= 3, "Gli dai tre lupi d'argento", "v.lupi -= 3; vai(P8)")
  scelta(v.capr >= 1, "Gli dai una caproca", "v.capr -= 1; vai(P8)")
  scelta(1, "Non gli dai nulla", P25)
}

function P4() {
  titolo("Triste conclusione")
  testo("Sotto il vigile sguardo dei balestrieri, il messo mette i sigilli alla tua fattoria: confiscata!<br>Non ti resta che emigrare in citt&agrave;, sperando in un posto di operaio generico...")
  Perso()
}

function P5() {
  titolo("Al mercato")
  if (v.resa == 0) { //se non ha gia' incassato
    testo("Finalmente viene il giorno di mercato! Accompagnato dalla tua figlioletta pi&ugrave; grande te ne vai al Borgo fischiettando.<p>")
    if (v.capr > 0) {
      testo("Vendendo ")
      if (v.capr == 1) {
        testo("l'uovo della caproca") 
      } else { 
        testo("le uova delle caproche") 
      }
      testo(" guadagni ", v.capr, " ")
      if (v.capr == 1) { testo("lupo.<br>"); } else { testo("lupi.<br>") }
      v.lupi += v.capr
    }
    testo("Spendi 4 lupi per comprare le sementi.")
    v.lupi -= 4
    v.resa = 1 //non rifarlo
  }
  testo("<p>Puoi acquistare o vendere animali:")
  scelta(v.lupi >= 4, "Acquisti una caproca per 4 lupi", 
        "v.capr++; v.lupi -= 4; aggiorna()")
  scelta(v.lupi >= 8, "Acquisti un vaccopotamo per 8 lupi", 
        "v.vacc++; v.lupi -= 8; aggiorna()")
  scelta(v.capr > 0, "Vendi una caproca per 4 lupi", 
        "v.capr--; v.lupi += 4; aggiorna()")
  scelta(v.vacc > 0, "Vendi un vaccopotamo per 8 lupi", 
        "v.vacc--; v.lupi += 8; aggiorna()")
  continua(P18)
}

function P6() {
  titolo("Mangiare costa")
  testo("Ma nel frattempo devi dar da mangiare a quei diavoletti dei tuoi bimbi, che sembrano poter divorare le montagne!<p>Purtroppo la stalla e il pollaio sono praticamente deserti: devi spendere i tuoi pochi risparmi per comprare un po' di patate e fave per il pranzo di ogni giorno.")
  scelta(v.lupi >= 4, "Spendi ben 4 lupi", "v.lupi -= 4; vai(P46)")
  scelta(v.lupi < 4, "Servirebbero 4 lupi, ma non li hai", P21)
}

function P7() {
  titolo("I frutti del tuo lavoro")
  testo("E un bel giorno ti dedichi alla mietitura! Falci allegro il grano, canticchiando sotto il sole cocente.<p>")
  var rac = dado()
  if (v.vacc >= 2) {
    testo("Grazie anche al significativo aiuto dei vaccopotami, una")
    rac += 8
  } else if (v.vacc == 1) {
    testo("Grazie anche all'aiuto del tuo vaccopotamo, una")
    rac += 6
  } else {
    testo("Una")
  }
  testo(" volta tolte le sementi per l'anno prossimo, il raccolto di quest'anno ti frutta ", rac, " lupi d'argento.")
  v.lupi += rac
  continua(P31)
}

function P8() {
  titolo("Sei stato molto generoso")
  testo("I tre se ne vanno festanti, inneggiando alla tua generosit&agrave;.")
  v.q1 = 1
  continua(v.capr >= 1, P35, P20)
}

function P9() {
  titolo("Vita quotidiana")
  testo("Sei l'orgoglioso proprietario di un campicello coltivato a grano e di ben due caproche: la vostra dieta familiare si basa su pane, frittata e more di rovo.")
  continua(P11)
}

function P10() {
  titolo("Assalto a tradimento")
  testo("Ma una notte ti svegli sentendo schianti e nitriti: una luce rossastra illumina il cielo. Ti affacci alla finestra: alcuni uomini a cavallo stanno incendiando il campo, la stalla, la casa.<p>Tu e la tua famiglia potete solo fuggire: abbandonate tutto e cercate fortuna in citt&agrave;...")
  v.capr = 0; v.vacc = 0
  Perso()
}

function P11() {
  titolo("Una visita sgradita")
  testo("In una pentola di coccio sotto al letto tieni inoltre i tuoi sudati risparmi: ben sedici &quot;lupi&quot; d'argento, le luccicanti monete delle Terre Libere. Ti serviranno presto: quest'anno la grandine ha distrutto il raccolto e non hai nemmeno le sementi per la semina.<p>Un giorno per&ograve; ti si presenta un tale vestito di nero: dice che il suo mestiere &egrave; &quot;proteggere chi lavora da eventuali incidenti&quot; e ti propone di versargli cinque lupi d'argento &quot;come polizza contro gli infortuni&quot;.")
  v.lupi = 16
  v.inv = 1 //mostra inventario d'ora in poi
  scelta(1, "Gli dai il denaro richiesto", P16)
  scelta(1, "Ti rifiuti adducendo una scusa", P30)
  scelta(1, "Lo cacci a male parole", P24)
}

function P12() {
  titolo("Lunga vita e prosperit&agrave;")
  testo("Il sole inizia a tramontare e ti guardi attorno: i tuoi campi prosperano e la tua lieta famigliola si sta riunendo attorno al tavolo.<br>Che puoi chiedere di pi&ugrave; dalla vita? Il tuo lavoro non &egrave; certo leggero, ma la soddisfazione &egrave; grande...<p>Complimenti: sei davvero in gamba.")
  Vinto()
}

function P13() {
  titolo("Non paghi")
  testo("&quot;Non ho il becco di un quattrino&quot;, gli dici con aria rassegnata.<p>Lui ti scruta pensoso, poi si volta e se ne va.")
  continua(P19)
}

function P14() {
  titolo("Vita quotidiana")
  testo("Sei l'orgoglioso proprietario di un campicello coltivato a grano e di un grasso vaccopotamo: la vostra dieta familiare si basa su pane, formaggio e funghi di bosco quando &egrave; stagione.")
  continua(P11)
}

function P15() {
  titolo("Povero in canna")
  testo("&quot;Non ho nulla da offrirvi&quot;, avverti.<br>Per non avere dubbi, la soldataglia controlla l'interno di stalla e pollaio, poi ti guardano costernati.<p>&quot;Bevici sopra&quot;, fa l'ufficiale tendendoti una fiasca. Prendi alcune sorsate: &egrave; un'ottima acquavite!")
  continua(P44)
}

function P16() {
  titolo("Hai deciso di pagare")
  testo("Lo sconosciuto intasca i soldi con un sorriso e ti saluta, allontanandosi a piedi.")
  v.lupi -= 5
  v.p3 = 1
  continua(P5)
}

function P17() {
  titolo("Per sopravvivere")
  testo("Ma nel frattempo devi nutrire la tua famiglia, e le risorse sono scarse: devi spendere i tuoi pochi risparmi per comprare quel po' di carrube e rape da mettere in tavola ogni giorno.")
  scelta(v.lupi >= 4, "Spendi 4 lupi", "v.lupi -= 4; vai(P43)")
  scelta(v.lupi < 4, "Ci vorrebbero almeno 4 lupi, ma non li hai", P21)
}

function P18() {
  titolo("Generi alimentari")
  testo("Ti aggiri tra gli stalli e i banconi, pensando a cosa potr&agrave; mangiare la tua famiglia quest'inverno.<p>")
  if (v.vacc + v.capr >= 2) {
    testo("Decidi che, avendo abbastanza animali, puoi cavartela con uova o formaggio.")
  } else {
    testo("Non avendo abbastanza animali per produrre cibo a sufficienza, spendi 3 lupi di patate e carne secca.")
    v.lupi -= 3
  }
  continua(P62)
}

function P19() {
  titolo("Un anno dopo")
  if (v.uova == 0) { //se non ha gia' incassato
    testo("Un anno &egrave; passato ed &egrave; di nuovo giorno di mercato! Accompagnato dai tuoi figli pi&ugrave; grandicelli ti rechi al Borgo vestito a festa.<p>")
    if (v.capr > 0) {
      testo("Vendendo le uova di caproca guadagni ", v.capr, " lupi.<br>")
      v.lupi += v.capr
    }
    v.uova = 1 //non ripassare di qui
  } else {
    testo("&Egrave; ancora giorno di mercato.<br>")
  }
  if (v.vang == 0) {
    testo("Hai assoluto bisogno di una zappa nuova, senza la quale non sei in condizioni di lavorare.")
    if (v.lupi < 2 && (v.vacc + v.capr > 0)) {
      testo(" Devi vendere qualcosa per procurarti i 2 lupi necessari.")
    }
  } else if (v.lupi < 5 && (v.vacc + v.capr == 0)) {
    testo("Non hai la possibilit&agrave; di comprare o vendere altro.")
  }
  scelta(v.vang == 0 && v.lupi >= 2, "Acquisti la zappa per 2 lupi", 
        "v.vang = 1; v.lupi -= 2; aggiorna()")
  scelta(v.lupi >= 5, "Acquisti una caproca per 5 lupi", 
        "v.capr++; v.lupi -= 5; aggiorna()")
  scelta(v.lupi >= 9, "Acquisti un vaccopotamo per 9 lupi", 
        "v.vacc++; v.lupi -= 9; aggiorna()")
  scelta(v.capr > 0, "Vendi una caproca per 5 lupi", 
        "v.capr--; v.lupi += 5; aggiorna()")
  scelta(v.vacc > 0, "Vendi un vaccopotamo per 9 lupi", 
        "v.vacc--; v.lupi += 9; aggiorna()")
  continua(v.vang, P2, P21)
}

function P20() {
  titolo("Promesse di pioggia")
  testo("Mentre lavori nei campi, una mattina ti viene a trovare un tale vestito d'azzurro: stelle e pianeti sono ricamati in oro sull'orlo del mantello.<p>&quot;Mio buon villico&quot;, ti dice il tale, &quot;tu hai bisogno del favore del cielo: dammi cinque lupi e ti garantisco che le piogge sui tuoi campi saranno abbondanti ma non eccessive.&quot;")
  scelta(v.lupi < 5, "Gli dici che non hai cinque lupi", P56)
  scelta(v.lupi >= 5, "Decidi di dargli i cinque lupi", "v.lupi -= 5; v.c3 = 1; vai(P56)")
  scelta(v.lupi >= 5, "Decidi di non darglieli", P56)
}

function P21() {
  titolo("Senza il necessario")
  testo("Purtroppo non riesci proprio a far quadrare il bilancio familiare. Per nutrire i tuoi vispi bambini non hai che una scelta: vendere il tuo piccolo podere e andartene a Exen, a lavorare come operaio in una conceria...<p>Ma ti resta un dubbio cui non sai dare risposta: &egrave; stata la sfortuna ad accanirsi contro di te, o ha ragione tua moglie a dire che &egrave; colpa dei tuoi investimenti sballati? Non lo saprai mai...")
  Perso()
}

function P22() {
  titolo("Cattivo auspicio")
  testo("I giorni passano. Una mattina vedi tredici corvi sul tetto di casa: non sembra un buon segno...")
  v.p1 = 1
  continua(v.capr >= 1, P35, P29)
}

function P23() {
  titolo("Una rapida fine")
  testo("Purtroppo il mostro ti recide il collo con le unghie affilatissime: la vista ti si annebbia e ti risvegli nei Verdi Pascoli, l&agrave; dove le sofferenze terrene sono solo un ricordo...")
  Perso()
}

function P24() {
  titolo("Gli dici il fatto suo")
  testo("&quot;Sei un profittatore&quot;, gli gridi mentre tua moglie ti guarda orgogliosa. &quot;Noi non abbiamo niente da temere, n&eacute; dagli uomini n&eacute; dagli Dei.&quot;<p>Il tale si volta e se ne va a piedi, senza dire una parola.")
  continua(P5)
}

function P25() {
  titolo("A tutto c'&egrave; un limite")
  testo("Spalanchi le braccia desolato: &quot;Andate in qualche tempio, buona gente! Io ho gi&agrave; troppe bocche da sfamare!&quot;<p>In cucina tua moglie borbotta che se tu non fossi di manica cos&igrave; larga in questa casa si potrebbe stare un po' pi&ugrave; tranquilli...")
  v.f1 = 1
  continua(v.capr > 0, P35, P20)
}

function P26() {
  titolo("Un lavoro essenziale")
  testo("Torni a casa e nei giorni successivi procedi alla semina, sperando in un raccolto migliore di quello dell'anno scorso.")
  continua(v.p2, P33, P22)
}

function P27() {
  titolo("Niente elemosina")
  testo("Il vecchio china la testa sconsolato e se ne va.")
  continua(v.capr > 0, P35, P20)
}

function P28() {
  titolo("Hai pagato ancora")
  testo("Lo sconosciuto intasca i soldi con un sorriso e ti saluta, allontanandosi a piedi.")
  v.lupi -= 7
  v.c2 = 1
  continua(P19)
}

function P29() {
  titolo("Ospiti non invitati")
  testo("Una mattina senti dei canti piuttosto sguaiati provenire dal sentiero che viene dal bosco. Con un gran sferragliare ne esce un gruppo di una dozzina di soldati.<p>&quot;Eil&agrave;, villico&quot;, grida uno con l'elmo ornato di piume. &quot;siamo coloro che ti difendono da orchi e invasori: dacci da mangiare!&quot;<br>Si avviano con passo risoluto verso stalla e pollaio.")
  continua(v.capr + v.vacc > 0, P51, P15)
}

function P30() {
  titolo("Hai deciso di non pagare")
  testo("&quot;Non sono cos&igrave; ricco&quot;, gli dici con un mezzo sorriso.<p>Lui ti scruta pensoso, poi commenta: &quot;Sono tempi duri per tutti... e sarebbe un motivo di pi&ugrave; per assicurarsi!&quot;<br>Si volta e se ne va a piedi.")
  continua(P5)
}

function P31() {
  titolo("Il prezzo sale")
  testo("Dopo un paio di giorni torna a trovarti l'uomo vestito di nero. Accenna con un sorriso ai sacchi di grano che hai accanto alla stalla e ti dice:<p>&quot;Visto che conviene assicurarsi? A chi &egrave; sotto la nostra protezione non succede nulla di male... a proposito, dovresti darmi sette lupi per il rinnovo della polizza.&quot;")
  scelta(v.lupi >= 7, "Lo paghi", P28)
  scelta(1, "Gli dici che non li hai", P13)
  scelta(1, "Lo cacci a male parole", P49)
}

function P32() {
  titolo("All'assalto!")
  testo("Ti getti coraggiosamente addosso alla tenebrosa creatura, che sfodera poderosi artigli e cerca di stringerti alla gola.")
  continua(dado() <= 2, P23, P50)
}

function P33() {
  titolo("Riconoscenza")
  testo("Un giorno ricevi delle visite: sono alcuni contadini dei dintorni. &Egrave; corsa voce che tu hai ucciso un Mannaro che li importunava da tempo, e vengono a recarti dei doni in segno di ringraziamento: una crostata di ciliege, barattoli di rape in salamoia e addirittura una grassa caproca, viva e starnazzante.<p>Sono stati i tuoi figli a raccontare la storia, quando sono venuti con te al Borgo per il mercato.")
  v.capr++
  continua(P29)
}

function P34() {
  titolo("Un gesto avventato")
  testo("La tua sete di giustizia ti fa balzare verso di lui. Ma lo sconosciuto &egrave; pi&ugrave; rapido: estrae un pugnale e te lo configge nel cuore.<p>Ti risvegli nei Verdi Pascoli, l&agrave; dove le sofferenze terrene sono solo un ricordo...")
  Perso()
}

function P35() {
  titolo("Rumori sospetti")
  testo("Una sera ti siedi a tavola con la tua famiglia. &Egrave; quasi una festa: avete trovato parecchie castagne nel bosco, una ghiottoneria che non sempre riuscite a mangiare! Ma all'improvviso un ululato nel bosco vi gela il sangue.<p>E avete ben ragione di temere: non solo &egrave; venerd&igrave; 17, ma stanotte c'&egrave; la luna piena... all'improvviso senti ")
  if (v.capr > 0) { 
    testo("un gran starnazzare e dei tonfi: c'&egrave; qualcuno nel pollaio che sta facendo razzia!")
  } else {
    testo("dei rumori come di passi felpati ma pesanti nel pollaio: c'&egrave; qualcuno!")
  }
  scelta(1, "Afferri un coltello da cucina e ti precipiti a vedere che succede", P41)
  scelta(1, "Resti con la tua famiglia", P45)
}

function P36() {
  titolo("Meglio che niente")
  testo("Non sei molto allenato, ma riesci ad afferrare una pentola piena di dolcetti prima di dover mollare e tornare a terra. Per i tuoi figli &egrave; una festa!<p>Porti orgoglioso il trofeo a casa, dove ti rimetti al lavoro e procedi alla semina.")
  continua(v.p2, P33, P22)
}

function P37() {
  titolo("L'esattore")
  testo("Allinei sull'aia i sacchi di grano. Mentre li rimiri soddisfatto, senti un rumore di zoccoli alle tue spalle: ti volti e vedi un messo con le insegne del Sovrano.<p> &quot;Buongiorno&quot;, ti dice. &quot;Sono qui per l'esazione  dei balzelli. Certo non vi sarete dimenticato che dovete pagare le tasse su ci&ograve; che guadagnate, buon uomo...&quot;<p>Il tale consulta un registro rilegato, poi ti dice: &quot;Sono sette lupi.&quot;")
  scelta(v.lupi >= 7, "Paghi i 7 lupi", "v.lupi -= 7; vai(P42)")
  scelta(v.lupi < 7, "Non hai i 7 lupi richiesti", P47)
}

function P38() {
  titolo("Magra figura")
  testo("Purtroppo alla gara di tiro partecipa gente venuta da lontano, assai pi&ugrave; abile di te: non hai alcuna speranza e ti classifichi fra gli ultimi.<p>Peccato: c'erano un bel po' di lupi in premio! Te ne torni a casa e ti dedichi a cose pi&ugrave; utili, come ad esempio la semina.")
  continua(v.p2, P33, P22)
}

function P39() {
  titolo("Ci hai azzeccato")
  testo("Hai visto giusto: il tuo campione sbaraglia l'avversario! Incassi la vincita e torni a casa, pronto a dedicarti alla semina.")
  v.lupi += 2
  continua(v.p2, P33, P22)
}

function P40() {
  titolo("Lavori in corso")
  testo("Il tale se ne va e dopo qualche giorno torna con una dozzina di compagni. Iniziano a scavare, buttando all'aria il tuo campo.")
  continua(P40a)
}

function P40a() {
  titolo("Un mirabile raccolto")
  testo("Lo gnomo aveva ragione! Ti mostra gemme grosse come un pugno: una volta tagliate brillano di mille colori.")
  continua(P40b)
}

function P40b() {
  titolo("Sei un signore")
  testo("Il giacimento pare inesauribile: presto sei cos&igrave; ricco da poterti permettere un piccolo castello, dove tu e la tua famiglia vivete felici per il resto dei vostri giorni senza pi&ugrave; dover muovere un dito.<p>La fortuna ti ha aiutato... ma tu le hai dato una mano!")
  v.c1 = 1
  Vinto() 
}

function P41() {
  titolo("Un gran brutto incontro")
  testo("Esci nel gelo della notte. Accanto al pollaio intravedi alla luce della luna un grosso omaccione peloso, con la testa simile a quella di un lupo.")
  scelta(1, "Lo affronti", P32)
  scelta(1, "Fuggi in casa e spranghi la porta", P45)
}

function P42() {
  titolo("Hai dato la tua parte")
  testo("Il messo se ne va soddisfatto, mentre i tuoi soldi tintinnano nella sua borsa.")
  continua(v.f3, P58, P12)
}

function P43() {
  titolo("Il grano cresce")
  testo("Il sole che splende generoso fa presto maturare le spighe.")
  continua(v.p3, P7, P48)
}

function P44() {
  titolo("Torna la tranquillit&agrave;")
  testo("La truppa se ne va verso lontane avventure e tu quasi rimpiangi di dover restare: ma hai la responsabilit&agrave; di una famiglia. E poi &egrave; ormai tempo di raccolto.")
  continua(v.c2, P53, P10)
}

function P45() {
  titolo("Il giorno seguente")
  testo("Dopo un po' i rumori all'esterno cessano. Dormi poco e male.<br>")
  if (v.capr > 0) {
    testo("La mattina dopo ti precipiti al pollaio: trovi solo sangue e penne sparse in giro.")
    v.capr = 0
  } else {
    testo("Ti consoli pensando che non hai caproche nel pollaio.")
  }
  continua(v.p1, P29, P20)
}

function P46() {
  titolo("Tempo di mietitura")
  testo("Aiutato da tua moglie, falci le spighe dorate.<br>")
  var rac = dado()
  if (v.vacc >= 2) {
    testo("Grazie anche al significativo aiuto dei vaccopotami, una")
    rac += 9
  } else if (v.vacc == 1) {
    testo("Grazie anche all'aiuto del tuo vaccopotamo, una")
    rac += 7
  } else {
    rac += 2
    testo("Una")
  }
  testo(" volta tolte le sementi per l'anno prossimo, il raccolto di quest'anno ti frutta ", rac, " lupi d'argento.")
  v.lupi += rac
  continua(P37)
}

function P47() {
  titolo("Pignoramento")
  testo("&quot;Come sarebbe a dire che non li hai? Non hai pensato al tuo Sovrano, quando sei andato in taverna a scialacquare il tuo denaro?&quot;<p>Dal bosco escono quattro balestrieri a cavallo. Il messo si avvicina alla stalla.")
  var pag1 = (v.vacc >= 1)
  var pag2 = (v.capr >= 2)
  var pag3 = (v.capr >= 1 && v.lupi >= 3)
  scelta(pag1, "Paghi con un vaccopotamo", "v.vacc--; vai(P55)")
  scelta(pag2, "Paghi con due caproche", "v.capr -= 2; vai(P55)")
  scelta(pag3, "Paghi con una caproca e tre lupi d'argento", "v.capr -= 1; v.lupi -= 3; vai(P55)")
  scelta(! (pag1 || pag2 || pag3), "Non hai beni sufficienti per pagare", P4)
}

function P48() {
  titolo("Incidente?")
  testo(" Purtroppo una notte ti svegli sentendo un acre odore di fumo. Una luce rossastra illumina il cielo. Ti affacci alla finestra: il campo &egrave; in fiamme!<br>Tu e la tua famiglia riuscite a spegnere l'incendio prima che raggiunga la casa, ma il raccolto &egrave; completamente rovinato.<p>Dopo due giorni torna a trovarti l'uomo vestito di nero. Accenna col capo al campo bruciato e ti dice: &quot;Visto? Forse &egrave; meglio assicurarsi... Dammi sette lupi e sarai al sicuro.&quot;")
  scelta(v.lupi >= 7, "Lo paghi", P28)
  scelta(1, "Gli dici che non li hai", P13)
  scelta(1, "Gli salti al collo insultandolo", P34)
}

function P49() {
  titolo("Fuori di qui!")
  testo("&quot;Non mi piacciono proprio i tipi come te&quot;, gli gridi agitando il pugno. &quot;&Egrave; meglio che te ne vai.&quot; I tuoi figli sono sull'aia e ti fissano orgogliosi.<p>Il tale si volta e se ne va, senza dire una parola.")
  continua(P19)
}

function P50() {
  titolo("Hai il sopravvento")
  testo("Trafiggi il mostro con il coltello: fugge a gambe levate, ululando e sanguinando.")
  if (v.capr > 0) { 
    testo("<br>Getti un'occhiata nel pollaio: vedi penne e piume dappertutto. ")
    v.p2 = 1
    var c = 0
    for (var i = 0; i < v.capr; i++) { //50% di morire per ogni caproca
      if (dado() > 3) { c++ } 
    }
    if (c == 0) {
      testo("Fortunatamente le caproche sono salve.")
    } else if (c == v.capr) {
      testo("Ahim&egrave;, il mostro ha ucciso tutte le tue caproche.")
    } else {
      testo("Il mostro ha ucciso ben ", c, " caproche.")
    }
    v.capr -= c
  }
  continua(v.p1, P29, P20)
}

function P51() {
  titolo("Albergatore tuo malgrado") 
  testo("Non puoi farci nulla: poco dopo sono sull'aia e improvvisano un bell'arrosto di ")
  if (v.vacc > 0) {
    testo("vaccopotamo")
    v.vacc -= 1
  } else if (v.capr > 0) { //dovrebbe essere garantito
    testo("caproca")
    v.capr -= 1
  }
  testo(" a tue spese.")
  continua(P44)
}

function P52() {
  titolo("Una scommessa sicura")
  testo("Punti i tuoi due lupi su un ratto bello grasso, che se la deve vedere con un topolino assai pi&ugrave; piccolo di lui.")
  continua(dado() <= 3, P59, P39) //50%
}

function P53() {
  titolo("Un campo rigoglioso")
  testo("A vedere il grano che cresce ti senti pervaso da un legittimo orgoglio: la natura &egrave; generosa con chi l'ama!<br>Presto potrai fare del pane fragrante, con quel grano cresciuto da te.")
  continua(v.vacc + v.capr > 0, P46, P6)
}

function P54() {
  titolo("Meglio di no")
  testo("Gli rispondi che sei soddisfatto della tua vita, senza dover correre dietro a vani sogni di ricchezza.<br>Lo gnomo se ne va, borbottando qualcosa sulla cocciutaggine degli umani.")
  continua(P12)
}

function P55() {
  titolo("Volente o nolente")
  testo("Sotto controllo dei balestrieri che si avvicinano a loro volta, sei costretto a pagare in natura. Gli esattori se ne vanno soddisfatti.")
  continua(v.f3, P58, P12)
}

function P56() {
  titolo("Lavorando la terra")
  testo("Il tale se ne va. Tu riprendi a seminare il grano: ti accorgi che la tua zappa &egrave; consumata e prima o poi dovrai comprarne una nuova.<p>Intanto passano le settimane: presto spuntano verdi piantine che crescono sempre pi&ugrave; alte.")
  continua(v.capr + v.vacc >= 2, P43, P17)
}

function P57() {
  titolo("Un gioco da ragazzi")
  testo("Il lavoro a contatto con la natura ti ha irrobustito: sali agilmente su per la pertica.")
  continua(dado() <= 3, P60, P36)
}

function P58() {
  titolo ("Una curiosa proposta")
  testo("Un pomeriggio bussa alla tua porta un ometto tarchiato: sembra proprio un fiero membro della razza degli Gnomi.<p>Si siede al tuo tavolo e ti dice di essere sicuro che sotto il tuo campo c'&egrave; un giacimento di diamanti: lui sa come estrarli e ti si propone come socio.")
  scelta(1, "Accetti la proposta", P40)
  scelta(1, "Rifiuti", P54)
}

function P59() {
  titolo("Delusione")
  testo("Ma il tuo campione si rivela assai pi&ugrave; goffo del suo avversario! Paghi la posta e torni a casa sconsolato, dove ti attende la semina.")
  v.lupi -= 2
  continua(v.p2, P33, P22)
}

function P60() {
  titolo("Sei in gamba")
  testo("Fai un'ottima prova: riesci a impossessarti nientemeno che di una caproca, viva e bella grassa, che pende a testa in gi&ugrave; dalla pertica!")
  v.capr++
  continua(P26)
}

function P61() {
  titolo("Divertimenti")
  testo("Il mercato comprende ogni genere di attrazioni: corse di ratti, alberi della cuccagna, gare di tiro al bersaglio.<br>I tuoi figli guardano tutto con occhi curiosi, e tu stesso ti attardi per regalare loro questa lieta distrazione.")
  scelta(v.lupi >= 2, "Vuoi scommettere due lupi alle corse dei ratti", P52)
  scelta(1, "Decidi di scalare l'albero della cuccagna", P57)
  scelta(1, "Ti fai prestare un arco e partecipi alla gara di tiro", P38)
  scelta(1, "Dai un'occhiata in giro e poi torni a casa senza fare nulla", P26)
}

function P62() {
  titolo("Un vecchio affamato")
  testo("Tornando verso casa, incontri un vecchio vestito di grigio con un ampio cappello in panno blu. Si regge a stento a un nodoso bastone.<p>Cerca di mantenere un atteggiamento dignitoso quando ti si rivolge dicendoti: &quot;Messere, temo di aver perso nozione di quanto tempo sia trascorso dal mio ultimo pasto. Se le circostanze non mi obbligassero eviterei di chiedervelo, ma... potreste farmi gradito omaggio di un lupo d'argento?&quot;")
  scelta(v.lupi <= 0, "Gli dici che non ne hai nemmeno uno", P27)
  scelta(v.lupi > 0, "Non gli dai nulla", P27)
  scelta(v.lupi > 0, "Gli dai una moneta", "v.lupi--; vai(P3)")
}
